Index: /trunk/Poubelle/archediab.old/archediab.sources/c/tache_diabolo.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/tache_diabolo.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/tache_diabolo.c	(revision 649)
@@ -84,5 +84,5 @@
 int max_fifo;
 
-if(tt->PCI_actif==1)	max_fifo=3000;	//  3000  points maxi par interruption (10ms)  soit (3.3µs)
+if(acquisition_PCI)	max_fifo=3000;	//  3000  points maxi par interruption (10ms)  soit (3.3µs)
 	 else		max_fifo=200;	//  ((1000)faux )  points maxi par interruption (10ms)  soit  (20µs)
 
@@ -90,5 +90,5 @@
 while(1)
 	{
-	if(tt->PCI_actif==1)	{lit_carte;	if(rien_a_lire)	break;}//  fifo vide  ->  retour  ->  sort du while
+	if(acquisition_PCI)	{lit_carte;	if(rien_a_lire)	break;}//  fifo vide  ->  retour  ->  sort du while
 	lec_fifo++;
 	if (EPLD_occupe) tt->vi.flag_ecriture_data=0;
@@ -141,5 +141,5 @@
 		if( RR&FLAG_FIFO_FULL )		{ecrit_erreur(err_fifo_pleine);read_flags();reset_fifo();}	// la fifo a débordée			
 		if(lec_fifo > tt->nb_lec_fofo_int)  tt->nb_lec_fofo_int=lec_fifo;
-		if(!tt->nb_lec_fofo_ext)  	{tt->nb_lec_fofo_ext=tt->nb_lec_fofo_int;tt->nb_lec_fofo_int=0;}
+		if(!tt->val_con_fifo)  	{tt->val_con_fifo=tt->nb_lec_fofo_int;tt->nb_lec_fofo_int=0;}
 		if(lec_fifo>max_fifo) 
 			{
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/tache_regul.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/tache_regul.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/tache_regul.c	(revision 649)
@@ -79,5 +79,5 @@
 tt->vi.reg.cc=cc;
 cc=( 0x0fff - cc ) & 0x0fff;		//  12 bits  avec inverser la polarité 
-if( (tt->PCI_actif==1) && ( tt->vi.flag_ecriture_data>2 ) )		//    rien en attente d'ecriture: j'ecris direct en interruption		
+if( (acquisition_PCI) && ( tt->vi.flag_ecriture_data>2 ) )		//    rien en attente d'ecriture: j'ecris direct en interruption		
 	{
 	ecrit_carte(tc_regul );			// ecrit bolo 251  -->  ecrit regulation
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/tache_transputer.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/tache_transputer.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/tache_transputer.c	(revision 649)
@@ -70,5 +70,5 @@
 int max_fifo;
 
-if(tt->PCI_actif==1)	max_fifo=4000;	//  3000  points maxi par interruption (10ms)  soit (3.3µs)
+if(acquisition_PCI)	max_fifo=4000;	//  3000  points maxi par interruption (10ms)  soit (3.3µs)
 	 else		max_fifo=200;	//  ((1000)faux )  points maxi par interruption (10ms)  soit  (20µs)
 
@@ -78,5 +78,5 @@
 while(1)
 	{
-	if(tt->PCI_actif==1)	{lit_carte;	if(rien_a_lire)	break;}//  fifo vide  ->  retour  ->  sort du while
+	if(acquisition_PCI)	{lit_carte;	if(rien_a_lire)	break;}//  fifo vide  ->  retour  ->  sort du while
 	lec_fifo++;
 //	tt->vi.bkb[tt->vi.a^3]=octet_a_lire;	// dans l'ordre: 3 2 1 0 7 6 5 4 11 10 9 8 ...
@@ -96,5 +96,5 @@
 	}
 if(lec_fifo > tt->nb_lec_fofo_int)  	tt->nb_lec_fofo_int=lec_fifo;
-if(!tt->nb_lec_fofo_ext)  		{tt->nb_lec_fofo_ext=tt->nb_lec_fofo_int;tt->nb_lec_fofo_int=0;}
+if(!tt->val_con_fifo)  		{tt->val_con_fifo=tt->nb_lec_fofo_int;tt->nb_lec_fofo_int=0;}
 }
 
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/telecommande.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/telecommande.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/telecommande.c	(revision 649)
@@ -5,4 +5,6 @@
 #include "acqui.h"
 #include "tm.h"
+#include "simulmission.h"
+#include "controle.h"
 
 
@@ -135,9 +137,11 @@
 {
 unsigned char mot_tc[10];
-mot_tc[0]	=	tc_reduite;
-mot_tc[1]	=	mot1;
-mot_tc[2]	=	mot2;
-mot_tc[3]	=	mot3;
-emission_telecommande(tc_dir_transputer,mot_tc);
+	{
+	mot_tc[0]	=	tc_reduite;
+	mot_tc[1]	=	mot1;
+	mot_tc[2]	=	mot2;
+	mot_tc[3]	=	mot3;
+	emission_telecommande(tc_dir_transputer,mot_tc);
+	}
 }
 
@@ -148,4 +152,7 @@
 int j;
 
+if(!acquisition_avec_telecommande)  return;
+
+
 //*****************************************************************************************
 //											***
@@ -157,5 +164,5 @@
 
 #define	 delai(xx)	{long uu;for(uu=0;uu<(10000L*(long)xx);uu++){};}
-#define  tc_char(x)	{delai(20);if(tt->PCI_actif==1) ecrit_carte((x)&0xff);}  
+#define  tc_char(x)	{delai(40);if(acquisition_PCI) ecrit_carte((x)&0xff);}  
 #define	 tc_int(x)	{tc_char(x);tc_char(x>>8);tc_char(x>>16);tc_char(x>>24);}
 //printf("telecommande: ");
@@ -200,11 +207,65 @@
 			if( ((mot[0]&0xff)!=tc_reduite) && gg->flag_tc_reduite)
 				{
-				printf("attention: une telecommande normale !!\n\n");
+				printf("attention: une telecommande normale non envoyée !!\n\n");
 				son(130);
 				select(printf_ref);
+				break;
 				}
 //			pour test en mode simulation sans le retour des blocks reglage du transputer
-			if(tt->PCI_actif==2)	relit_telecommandes_reduites(tc);
-			else	{
+			if(tt->PCI_actif==2)	
+				{
+				relit_telecommandes_reduites(tc);
+				break;
+				}
+		    else if(tt->PCI_actif==3)
+		        {
+		        simul_telecommandes_reduites(tc);
+		        }
+			else	{char ss[200];
+						static long t;
+			
+#define tcl(iii)	((long)mot[iii])
+			
+					long mothexa[5];	/* les 5 cara hexa envoyée  */
+					/*  on range les bit: bit 1 en poid fort de tout   */
+					mothexa[0]=tcl(1);	/* 4 bit choix de commande   */
+					mothexa[1]=tcl(2)>>2;	/* les 4 bits poid fort du code direction */
+					mothexa[2]=((tcl(2)<<2)&0xc)  + ((tcl(3)>>6)&0x3);
+					mothexa[3]=(tcl(3)>>2)&0xf;  
+			 		mothexa[4]=(tcl(3)&0x3) + 0x0C;
+			      		printf("commande 18bit:   %d %d %d -> %lx%lx%lx%lx%lx ",tcl(1),tcl(2),tcl(3)
+			      			,mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]);
+					ecritD(fenetre_controle,con_subscan,"tc: %x %x %x %x %x ",mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]);
+
+				tc_char(0x11);	//  synchro
+				tc_int(debut_telecommande);
+				for(j=0;j<4;j++)	tc_char(mot[j]);
+				tc_char(0x00);		//  synchro
+				sprintf(ss,"S%X%X%X%X%X07WS%X%X%X%X%X07WS%X%X%X%X%X07W\r\n"
+						,mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]
+						,mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]
+						,mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]);
+/*				sprintf(ss,"S%x%x%x%x%x07WS%x%x%x%x%x07WS%x%x%x%x%x07W\r\l"
+						,mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]
+						,mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]
+						,mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]);*/
+				if(ss[7]!='7') erreur("adresse not equal to 7");
+				if(ss[16]!='7') erreur("adresse not equal to 7");
+				if(ss[25]!='7') erreur("adresse not equal to 7");
+				while( (TickCount()>t) et (TickCount()<(t+60*15)) ) 	// 15sec 
+					{
+					static int q;
+					q++;
+					son(130);
+					if(q%10==0) printf("attente pour envoi de telecommande\n");
+					controlemanip(0);
+					}
+				son(133);
+
+				printf(" envoi de la telecommande : %s \n",ss);
+				ecritRS(0,ss,0);
+				t=TickCount();	               	//  10 secondes  (tick = 1/60 sec) 
+				}
+/*			else	{
 				tc_char(0x11);	//  synchro
 				tc_int(debut_telecommande);
@@ -213,9 +274,17 @@
 				tc_char(0x00);tc_char(0x00);	//  synchro
 				}
+*/
 			break;
 
 	case	tc_dir_reset_epld	:	//printf("tc_reset_epld:\n");
 		
-//			for(j=0;j<14;j++) tc_char(j);
+			for(j=0;j<8;j++) tc_char(j);
+			tc_char(1);tc_char(1);
+			tc_char(0x00);tc_char(0x00);	//  synchro
+
+			break;
+
+	case	tc_dir_reset_trp	:	//printf("tc_reset_epld:\n");
+		
 			for(j=0;j<15;j++) tc_char(j);	// reset epld+transputer
 			tc_char(1);tc_char(1);
@@ -233,5 +302,5 @@
 
 //  delai pour separer les télécommandes (archeops, transputer ou non)
-if(tt->PCI_actif==1) delai(1000);
+if(acquisition_PCI) delai(1000);
 
 #endif		//--------------------------------------------------------------------	***
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/trace-DS.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/trace-DS.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/trace-DS.c	(revision 649)
@@ -142,14 +142,14 @@
 		if(u==npt_DS-1)
 			{
-			for(j=0;j<nb_max_bolo;j++)
-				{
-				phase_mesure[j]=atan2(y1[j],y2[j]);
-				confiance[j]=bb[j]*bb[j];
-				if(confiance[j]) 	confiance[j]=log((y1[j]*y1[j]+y2[j]*y2[j])/(bb[j]*bb[j]));
-				}
-			j=5;	// bolo pur mesurer la phase
-			phase_memoire=0.95*phase_memoire+0.05*phase_mesure[j];
-			ecritD(fenetre_trace_DS,ds_phase,"%d°",degre(phase_memoire));
-			printf(" phase=%d°(%2.1f)  \n",degre(phase_mesure[j]),confiance[j]);
+//			for(j=0;j<nb_max_bolo;j++)
+//				{
+//				phase_mesure[j]=atan2(y1[j],y2[j]);
+//				confiance[j]=bb[j]*bb[j];
+//				if(confiance[j]) 	confiance[j]=log((y1[j]*y1[j]+y2[j]*y2[j])/(bb[j]*bb[j]));
+//				}
+//			j=5;	// bolo pur mesurer la phase
+//			phase_memoire=0.95*phase_memoire+0.05*phase_mesure[j];
+//			ecritD(fenetre_trace_DS,ds_phase,"%d°",degre(phase_memoire));
+//			printf(" phase=%d°(%2.1f)  \n",degre(phase_mesure[j]),confiance[j]);
 //			printf(": phase memoire=%g  \n",phase_memoire);
 //			printf(" trace y1= %g , %g , %g , %g , %g \n",y1[0],y1[1],y1[2],y1[3],y1[4]); 
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/trace_tout.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/trace_tout.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/trace_tout.c	(revision 649)
@@ -5,6 +5,4 @@
 #include "trace_tout.h"
 #include "synchro.h"
-
-
 
 
@@ -38,7 +36,7 @@
 	    					graph->xpas=50;
     						graph->taille_graduations=8;
-							for(j=0;j<nb_max_bolo;j++)  SS->f1[j]=0;
-							for(j=0;j<nb_max_bolo;j++)  SS->f2[j]=0;
-							for(j=0;j<nb_max_bolo;j++)  SS->y[j]=0;
+							for(j=0;j<nb_max_trace;j++)  SS->f1[j]=0;
+							for(j=0;j<nb_max_trace;j++)  SS->f2[j]=0;
+							for(j=0;j<nb_max_trace;j++)  SS->y[j]=0;
 							
                  			
@@ -52,5 +50,5 @@
                  			SS->fmini=litD(fen,t_fmini,0L);
     						SS->fmaxi=litD(fen,t_fmaxi,0L);
-    						for(j=0;j<nb_max_bolo;j++)  SS->f1[j]=0;
+    						for(j=0;j<nb_max_trace;j++)  SS->f1[j]=0;
 
 							c1=2*3.14*SS->fmini*gg->periode_echantillonage;		c1=c1/(1+c1);	
@@ -76,5 +74,5 @@
     					{
     					SS->bolo_couleur[i]=litD(fen,t_bolo_couleur+i,0L)-1;
-    					if( (SS->bolo_couleur[i]<1) ou (SS->bolo_couleur[i]>nb_max_bolo) )   SS->bolo_couleur[i]=0;
+    					if( (SS->bolo_couleur[i]<1) ou (SS->bolo_couleur[i]>nb_max_trace) )   SS->bolo_couleur[i]=0;
     					printf(" i=%d bolo=%d    ",i,SS->bolo_couleur[i]);
     					}
@@ -95,5 +93,5 @@
 							c2=2*3.14*SS->fmaxi*gg->periode_echantillonage;	if(c2>0)	c2=c2/(1+c2);	
 							
-			    			for(j=0;j<nb_max_bolo;j++)		
+			    			for(j=0;j<nb_max_trace;j++)		
 			    				{
 			    				SS->f1[j]= (1-c1) * SS->f1[j]	+ c1 * xbol(j); 
@@ -105,5 +103,5 @@
 								{
 								SS->ipas=SS->moyenne;
-								if(SS->moyenne) for(j=0;j<nb_max_bolo;j++) SS->y[j]=SS->y[j]/(double)SS->moyenne;
+								if(SS->moyenne) for(j=0;j<nb_max_trace;j++) SS->y[j]=SS->y[j]/(double)SS->moyenne;
 //								printf("trace_tout  un  point \n");
 
@@ -118,5 +116,5 @@
 	}
 
-   								montracen_tout(fen,nb_max_bolo,x,SS);
+   								montracen_tout(fen,nb_max_trace,x,SS);
 
 
@@ -129,5 +127,5 @@
 											}
 
-								for(j=0;j<nb_max_bolo;j++) SS->y[j]=0;
+								for(j=0;j<nb_max_trace;j++) SS->y[j]=0;
 								}
 	    			
@@ -144,5 +142,5 @@
 for(i=0;i<max_couleur;i++)
 	{
-	if( (SS->bolo_couleur[i]>=1) && (SS->bolo_couleur[i]<nb_max_bolo+1) ) 	yy[i]=SS->y[SS->bolo_couleur[i]-1];
+	if( (SS->bolo_couleur[i]>=1) && (SS->bolo_couleur[i]<nb_max_trace+1) ) 	yy[i]=SS->y[SS->bolo_couleur[i]-1];
 		else		yy[i]=0;
 	}
Index: /trunk/Poubelle/archediab.old/archediab.sources/choix_acquisition.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/choix_acquisition.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/choix_acquisition.h	(revision 649)
@@ -27,7 +27,8 @@
 
 #ifdef _archeops	//---------   pour  Archeops    ---------------------------------
-#define Adresse_base_PCI	0x83000000	// G3 Archeops optique
+//#define Adresse_base_PCI	0x81000000	// G3 Spatial-Archeops3 optique
+//#define Adresse_base_PCI	0x83000000	// G3 Spatial-Archeops optique
 //#define Adresse_base_PCI	0x84000000	// G3 Archeops optique avec carte video
-//#define Adresse_base_PCI	0x82000000	// G3 Archeops_2 optique avec carte video
+#define Adresse_base_PCI	0x82000000	// G3 Archeops_2 optique avec carte video
 #endif
 
@@ -45,2 +46,4 @@
 //#define Adresse_base_PCI	0x84000000	// diabolo dans G3 Archeops avec optique
 #endif		
+
+//#define signe_inverse
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/FindPeri.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/FindPeri.h	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/FindPeri.h	(revision 649)
@@ -0,0 +1,24 @@
+
+
+
+//debut_id=1570
+//----------------------------------  fenetre : FindPeriod  -----------------------------------
+
+#define FindPeri_id  1570  //  le id de la fenetre dans la ressource
+
+void exec_FindPeri(int fen,int item,double valeur,...);   //  prototype de la fonction
+void passargu(float Liminf,float Limsup,float Papa);
+double Rd_CpFl(int fen);
+
+// liste des items de la fenetre (8) items 
+
+#define  FP_cpfl                  1     //   graphique 
+#define  FP_vcpfl                 2     //   controle 
+#define  FP_periodest             3     //   static texte 
+#define  FP_vperesti              4     //   edit texte 
+#define  FP_unite                 5     //   static texte 
+#define  FP_unite6                6     //   edit texte 
+#define  Find_labnet                7     //   static texte 
+#define  Find_net                   8     //   static texte 
+
+//fin_id
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/FindPeriode.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/FindPeriode.h	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/FindPeriode.h	(revision 649)
@@ -0,0 +1,19 @@
+
+
+
+//debut_id=1570
+//----------------------------------  fenetre : FindPeriod  -----------------------------------
+
+#define FindPeriod_id  1570  //  le id de la fenetre dans la ressource
+
+void exec_FindPeriod(int fen,int item,double valeur,...);   //  prototype de la fonction
+
+// liste des items de la fenetre (6) items 
+
+#define  FP_Reset                 2     //   controle 
+#define  FP_valperest             4     //   static texte 
+#define  FP_cpflx                 5     //   static texte 
+#define  FP_vcoupflx              6     //   edit texte 
+void passargu(float Liminf,float Limsup);
+
+//fin_id
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/aa_hadec.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/aa_hadec.h	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/aa_hadec.h	(revision 649)
@@ -0,0 +1,4 @@
+void aa_hadec (double lat, double alt, double az, double* ha, double* dec);
+void hadec_aa (double lat, double ha, double dec, double* alt, double* az);
+
+
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/acqui.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/acqui.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/acqui.h	(revision 649)
@@ -6,4 +6,5 @@
 
 void	reset_epld(void);
+void	reset_trp(void);
 
 void 	deglitch(void);
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/bolo.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/bolo.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/bolo.h	(revision 649)
@@ -46,2 +46,16 @@
 
 
+
+//debut_id=1660
+//----------------------------------  fenetre : change_bolo  -----------------------------------
+
+#define change_bolo_id  1660  //  le id de la fenetre dans la ressource
+
+void exec_change_bolo(int fen,int item,double valeur,...);   //  prototype de la fonction
+
+// liste des items de la fenetre (3) items 
+
+#define  chb_val                   1     //   edit texte 
+
+//fin_id
+
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/controle.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/controle.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/controle.h	(revision 649)
@@ -10,15 +10,19 @@
 void exec_controle(int fen,int item,double valeur,...);   //  prototype de la fonction
 
-// liste des items de la fenetre (14) items 
+// liste des items de la fenetre (23) items 
 
-#define  con_retard1               1     //   static texte 
-#define  con_chauf                 2     //   controle 
-#define  con_retard2               3     //   static texte 
-#define  con_voyant                4     //   controle 
-#define  con_fichier               10     //   edit texte 
-#define  con_phase                 11     //   controle 
-#define  con_periode               12     //   static texte 
-#define  con_time                  13     //   static texte 
-#define  con_subscan               14     //   static texte 
+#define  con_chauf                 1     //   controle 
+#define  con_voyant                2     //   controle 
+#define  con_fichier               8     //   edit texte 
+#define  con_phase                 9     //   controle 
+#define  con_periode               10     //   static texte 
+#define  con_time                  11     //   static texte 
+#define  con_subscan               12     //   static texte 
+#define  con_donnee                16     //   controle 
+#define  con_erreur                17     //   controle 
+#define  con_fifo                  18     //   controle 
+#define  con_pile                  20     //   controle 
+#define  con_reset_epld            22     //   controle 
+#define  con_reset_trp             23     //   controle 
 
 //fin_id
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/diabolo.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/diabolo.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/diabolo.h	(revision 649)
@@ -6,5 +6,6 @@
 #include "fenetres_diabolo.h"
 
-
+#define   acquisition_PCI  ( (tt->PCI_actif==1) ou  (tt->PCI_actif==4) ) 
+#define   acquisition_avec_telecommande  (tt->PCI_actif==4) 
 
 /*
@@ -117,4 +118,7 @@
 	reglage_bolo	reglage;				// etat bolo dans le programme principal
 	
+	double		temperature_cryo;	// temperature du cryo (0.1K) en K
+	/* La germanium doit toujours etre en premier par rapport aux autres thermos absolus */
+
 	short 		bol_per[nb_max_bolo][nb_max_mes_per];	// table une periode
 
@@ -128,5 +132,5 @@
 	F_donne		don;
 	
-	double		corel[nb_max_bolo];		// données apres corellation eventuelle
+	double		corel[nb_max_bolo+3+nb_photo_diodes];		// données apres corellation eventuelle
 	
 
@@ -195,4 +199,6 @@
 void	traite_block_bolo_comprime	(block_type_bolo_comprime*	blk);
 void	traite_block_bolo		(block_type_bolo*		blk);
+void	traite_block_sst_brut		(block_type_sst*		blk);
+void	traite_block_sst_comprime_brut  (block_type_sst_comprime*	blk);
 void	traite_block_sst		(block_type_sst*		blk);
 void	traite_block_sst_comprime	(block_type_sst_comprime*	blk);
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/ecclib.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/ecclib.h	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/ecclib.h	(revision 649)
@@ -0,0 +1,51 @@
+#if !defined(_ECC_LIB_H_)
+
+#define _ECC_LIB_H_
+
+#define REED_SOLOMON
+
+typedef unsigned char dtype;
+
+void EccInit( int nn, int kk, int mm ) ;
+
+/* Reed-Solomon encoding
+ * data[] is the input block, parity symbols are placed in bb[]
+ * bb[] may lie past the end of the data, e.g., for (255,223):
+ *	encode_rs(&data[0],&data[223]);
+ */
+int EccEncode(dtype *data, dtype *bb );
+
+/* Reed-Solomon erasures-and-errors decoding
+ * The received block goes into data[], and a list of zero-origin
+ * erasure positions, if any, goes in eras_pos[] with a count in no_eras.
+ *
+ * The decoder corrects the symbols in place, if possible and returns
+ * the number of corrected symbols. If the codeword is illegal or
+ * uncorrectible, the data array is unchanged and -1 is returned
+ */
+int EccDecode( dtype *data, dtype *ecc, int *eras_pos, int no_eras) ;
+
+void SetEcc( void *bloc, unsigned char * ) ;
+int UnsetEcc( void *bloc, unsigned char * ) ;
+
+#if defined(REED_SOLOMON)
+/*  defini ici que si l'on n'a pas inclu archeops.h qui contient les memes definitions */
+#ifndef version_num
+#define ECC_TOTAL 255
+#define ECC_DATA 239       /* Nb de bytes de data encodes */
+#define ECC_SIZE (ECC_TOTAL-ECC_DATA) /* Nb de bytes encodeurs */
+#define SIZE_HEAD sizeof(long)*3  /* 3 mots d'entete de blocs */
+#endif
+#if defined(_ECCLIB_MAIN_)
+
+int Kgood = ECC_DATA, /* Detection/correction de 8 bytes en erreur
+		    On peut aller jusqu'a 16 (Kgood = 223 ) */
+  Ntotal = 255 ;
+
+#else
+
+extern int Kgood, Ntotal ;
+
+#endif
+#endif
+#endif
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/fenetres_diabolo.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/fenetres_diabolo.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/fenetres_diabolo.h	(revision 649)
@@ -7,5 +7,5 @@
 #define fenetre_fichier			103
 #define fenetre_trace_DS		105
-#define fenetre_trace_tout		106
+//#define fenetre_trace_tout		106
 #define fenetre_trace_1_per		107
 #define fenetre_annexe	108
@@ -58,4 +58,14 @@
 #define fenetre_gyroscope_lecture_brute			146
 
+#define fenetre_lecture_blocks				147
+#define fenetre_Find_Period				148
+#define fenetre_Phase_SST				149
+#define fenetre_sstbrut					150
+
+#define fen_change_bolo 				965
+
+#define fenetre_trace_tout_temperature			151
+#define fenetre_trace_tout_bolos			152
+#define fenetre_trace_tout_gyros			153
 
 //  de préférence, utiliser les indices suivants :		i= position dans la periode     
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/menu.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/menu.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/menu.h	(revision 649)
@@ -19,9 +19,25 @@
 #define  d_regulation		12
 #define  d_dilution		13
-#define  d_senseur_stellaire	14
+#define  d_sst_brut		14
+#define  d_senseur_stellaire	15
+#define  d_recons_sst		16
+#define  d_gyros		17
 
-#define  d_trace_carte		16
-#define  d_pointage		17
-#define  d_foyer		18
+#define  d_trace_carte		19
+#define  d_pointage		20
+#define  d_foyer		21
+
+
+
+
+//----------------------------------  menu  trace_tout  -----------------------------------
+#define menu_trace_tout_id  65  		//  le id du menu dans la ressource
+
+
+void exec_menu_trace_tout(int fen,int item,double valeur,...);   //  prototype de la fonction
+
+#define  d_trace_temperature	1
+#define  d_trace_bolos		2
+#define  d_trace_gyros		3
 
 
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/phaseSST.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/phaseSST.h	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/phaseSST.h	(revision 649)
@@ -0,0 +1,15 @@
+
+
+
+//debut_id=1600
+//----------------------------------  fenetre : phase  -----------------------------------
+
+#define phase_id  1600  //  le id de la fenetre dans la ressource
+
+void exec_phase(int fen,int item,double valeur,...);   //  prototype de la fonction
+
+// liste des items de la fenetre (2) items 
+
+#define  PHS_dtdephase             1     //   graphique 
+void tracephase();
+//fin_id
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/recons_sst.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/recons_sst.h	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/recons_sst.h	(revision 649)
@@ -0,0 +1,32 @@
+
+
+// Cette fonction est appelee pour chaque echantillon du SST (donc
+// 72 fois par bloc SST).
+// nfoundstars, tfoundstars, mfoundstars et zfoundstars ont ete remplis.
+// tfoundstars est en secondes depuis le debut de la manip.
+/*
+	instant et flux servent a memoriser les 500 derniers instants ou on a vu des etoiles
+	et la somme des flux correspondants. cases sert a histogrammer les differences de temps
+	entre l'etoile courante et les etoiles memorisees.
+*/
+#define nmemechant 500
+#define ncasdiftps 600
+#define LowFlux 400 // coupure basse en flux pour reconstruction de la periode
+#define FourchTps .05
+#define LowSeek 10.
+#define HighSeek 40.
+#define QuorumRafrai 2000
+#define RafraiPhase 5000
+#define StatValidePeriode 6
+void init_recons_sst(void);
+void exec_recons_sst(void);
+void trace_point(int fen);
+void raz_fen_phase(void);
+void charge_calc_phase(float tempsmoy,float ecartps,float ecarz);
+int calc_phase(void);
+void tabulesincos(void);
+int CpFl(void);
+float DonnePeriod(void);
+float DonnePhase(void);
+int DonneSens(void);
+void chercheaccro(int seuilfluxcata);
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/senseur_stellaire.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/senseur_stellaire.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/senseur_stellaire.h	(revision 649)
@@ -1,2 +1,11 @@
+
+#define dbufsz 15
+#define MAXFOUNDSTARS 20
+
+extern int diodesbuffer[dbufsz][48];
+extern float zfoundstars[MAXFOUNDSTARS];
+extern float mfoundstars[MAXFOUNDSTARS];
+extern double tfoundstars[MAXFOUNDSTARS];
+extern int nfoundstars;
 
 
@@ -9,9 +18,22 @@
 void exec_senseur_stellaire(int fen,int item,double valeur,...);   //  prototype de la fonction
 
-// liste des items de la fenetre (4) items 
+// liste des items de la fenetre (14) items 
 
-#define  sst_azer                  1     //   edit texte 
-#define  sst_sortie_brute          3     //   controle 
-#define  sst_prem_diode            4     //   controle 
+#define  sst_txt                   1     //   edit texte 
+#define  sst_autolock              3     //   controle 
+#define  sst_etoiles               4     //   controle 
+#define  sst_radar                 5     //   controle 
+#define  sst_efface                6     //   controle 
+#define  sst_periode               7     //   edit texte 
+#define  sst_labper                8     //   static texte 
+#define  sst_twobars               9     //   controle 
+#define  sst_labphase              10     //   static texte 
+#define  sst_phase                 11     //   edit texte 
+#define  sst_sens_horaire          12     //   controle 
+#define  sst_labseuil              13     //   static texte 
+#define  sst_seuil                 14     //   edit texte 
 
 //fin_id
+
+
+
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/sstbrut.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/sstbrut.h	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/sstbrut.h	(revision 649)
@@ -0,0 +1,17 @@
+
+
+
+//debut_id=1630
+//----------------------------------  fenetre : senseur_stellaire  -----------------------------------
+
+#define sstbrut_id  1630  //  le id de la fenetre dans la ressource
+
+void exec_sstbrut(int fen,int item,double valeur,...);   //  prototype de la fonction
+
+// liste des items de la fenetre (4) items 
+
+#define  sstb_azer                  1     //   edit texte 
+#define  sstb_sortie_brute          3     //   controle 
+#define  sstb_prem_diode            4     //   controle 
+
+//fin_id
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/stabilite.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/stabilite.h	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/stabilite.h	(revision 649)
@@ -0,0 +1,17 @@
+
+
+
+//debut_id=1600
+//----------------------------------  fenetre : stabilite  -----------------------------------
+
+#define stabilite_id  1600  //  le id de la fenetre dans la ressource
+
+void exec_stabilite(int fen,int item,double valeur,...);   //  prototype de la fonction
+
+// liste des items de la fenetre (2) items 
+
+#define  PHS_stabil                1     //   graphique 
+#define ncasphase 12
+
+void tracephase();
+//fin_id
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/structure.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/structure.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/structure.h	(revision 649)
@@ -34,4 +34,5 @@
 				short	don_bolo[nb_max_bolo];			 
 				char	sync[nb_sync];					// les synchro en cara (6 signaux)
+				double	gyro[3];
 				} F_donne;	  
 
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/tm.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/tm.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/tm.h	(revision 649)
@@ -164,6 +164,8 @@
 
 	int			nb_lec_fofo_int;	//  nombre maxi de lectures dans la fifo en un coups d'interrupt
-	int			nb_lec_fofo_ext;	//  communication avec le prog principal: remis a zero apres lecture
-		
+	int			val_con_fifo;		
+	int			val_con_donnee;		
+	int			val_con_pile;		
+	int			val_con_erreur;		
 	int 			signal_scan_immediat;	//  signal scan immediat pour savoir avant
 
Index: /trunk/Poubelle/archediab.old/archediab.sources/h/trace_tout.h
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/h/trace_tout.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/h/trace_tout.h	(revision 649)
@@ -1,8 +1,10 @@
 #define max_couleur 10
+#define nb_max_trace	nb_max_bolo+3
+
 typedef struct
 	{
-	double y[nb_max_bolo+1];
-	double f1[nb_max_bolo+1];
-	double f2[nb_max_bolo+1];
+	double y[nb_max_trace];
+	double f1[nb_max_trace];
+	double f2[nb_max_trace];
 	int moyenne,ipas;
 	double fmini,fmaxi;
